View Issue Details

IDProjectCategoryView StatusLast Update
0014977LazarusLCLpublic2011-12-01 11:22
Reporteryury DonskoyAssigned ToPaul Ishenin 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0014977: TDateEdit with OnChange event causes SIGSEGV in compiled application which also kills Lazarus itself
DescriptionA TDateEdit component on a form with a an OnChange event will cause the compiled application to crash with a SIGSEGV. After the first error box, if you don't use Run|Stop, will also kill Lazarus itself.

What exactly is a SIGSEGV, anyway? It can't be trapped by try...except...end;
Additional InformationVery simple to reproduce.

Will not crash:
1. Create new project.
2. Drop a TDateEdit component on the form.
3. Save the project and the form.
4. Compile and run.
5. Play with the dates, making sure to select them, not just click on them - program and Lazarus should not crash.
6. Exit program.

Will crash:
1. Using project created above, attach an OnChange event and do something stupid in it like ShowMessage('DateEdit being changed');
2. Save, compile and run.
3. Play with the date, select one.
4. Dialog box you created above will appear, click on it several times(don't know why this happens--does the OnChange get called more than once???)
5. Program will crash. If you don't Run|Stop and click through all the error boxes, Lazarus will go down also.
Tagscrash, SIGSEGV
Fixed in Revision23212
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Activities

yury Donskoy

2009-11-02 18:58

reporter   ~0031855

Also a problem with 9.28.2.

Paul Ishenin

2009-12-21 11:13

manager   ~0033223

Please test and close if ok.

Issue History

Date Modified Username Field Change
2009-11-02 18:34 yury Donskoy New Issue
2009-11-02 18:34 yury Donskoy Widgetset => Win32/Win64
2009-11-02 18:35 yury Donskoy Tag Attached: SIGSEGV
2009-11-02 18:36 yury Donskoy Tag Attached: crash
2009-11-02 18:58 yury Donskoy Note Added: 0031855
2009-11-18 21:44 Vincent Snijders LazTarget => 0.9.30
2009-11-18 21:44 Vincent Snijders Status new => acknowledged
2009-11-18 21:44 Vincent Snijders Target Version => 0.9.30
2009-12-21 11:13 Paul Ishenin Fixed in Revision => 23212
2009-12-21 11:13 Paul Ishenin Status acknowledged => resolved
2009-12-21 11:13 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-12-21 11:13 Paul Ishenin Resolution open => fixed
2009-12-21 11:13 Paul Ishenin Assigned To => Paul Ishenin
2009-12-21 11:13 Paul Ishenin Note Added: 0033223
2011-12-01 11:22 Marc Weustink Status resolved => closed